launchpad-reviewers team mailing list archive
-
launchpad-reviewers team
-
Mailing list archive
-
Message #15605
[Merge] lp:~andreserl/maas/saucy_packaging_fpi into lp:~maas-maintainers/maas/packaging
Andres Rodriguez has proposed merging lp:~andreserl/maas/saucy_packaging_fpi into lp:~maas-maintainers/maas/packaging.
Commit message:
* Update packaging to support FPI:
- debian/control: Depends on apache2 for maas-cluster-controller.
- debian/maas-cluster-controller.install: Install http config file.
- debian/maas-cluster-controller.{postinst,postrm}: Handle symlink creation
and deletion.
Requested reviews:
Launchpad code reviewers (launchpad-reviewers)
For more details, see:
https://code.launchpad.net/~andreserl/maas/saucy_packaging_fpi/+merge/165151
--
https://code.launchpad.net/~andreserl/maas/saucy_packaging_fpi/+merge/165151
Your team Launchpad code reviewers is requested to review the proposed merge of lp:~andreserl/maas/saucy_packaging_fpi into lp:~maas-maintainers/maas/packaging.
=== modified file 'debian/changelog'
--- debian/changelog 2013-05-13 02:46:46 +0000
+++ debian/changelog 2013-05-22 14:03:27 +0000
@@ -11,6 +11,13 @@
- Detect 12.04 as the host OS and install with correct permissions. This
allows the same packaging to be used in the 12.04 backport.
+ [ Andres Rodriguez ]
+ * Update packaging to support FPI:
+ - debian/control: Depends on apache2 for maas-cluster-controller.
+ - debian/maas-cluster-controller.install: Install http config file.
+ - debian/maas-cluster-controller.{postinst,postrm}: Handle symlink creation
+ and deletion.
+
-- Julian Edwards <julian.edwards@xxxxxxxxxxxxx> Mon, 13 May 2013 12:42:59 +1000
maas (1.3+bzr1455+dfsg-0ubuntu1) raring; urgency=low
=== modified file 'debian/control'
--- debian/control 2013-03-21 17:56:39 +0000
+++ debian/control 2013-05-22 14:03:27 +0000
@@ -163,7 +163,8 @@
Package: maas-cluster-controller
Architecture: all
-Depends: bind9utils,
+Depends: apache2,
+ bind9utils,
distro-info,
freeipmi-tools,
maas-cli (=${binary:Version}),
=== modified file 'debian/maas-cluster-controller.install'
--- debian/maas-cluster-controller.install 2013-05-22 04:38:29 +0000
+++ debian/maas-cluster-controller.install 2013-05-22 14:03:27 +0000
@@ -24,3 +24,4 @@
# Install all other stuff
debian/extras/99-maas-sudoers etc/sudoers.d
debian/extras/isc-dhcp-server.override etc/init
+debian/tmp/etc/maas/maas-cluster-http.conf
=== modified file 'debian/maas-cluster-controller.postinst'
--- debian/maas-cluster-controller.postinst 2013-04-24 17:35:39 +0000
+++ debian/maas-cluster-controller.postinst 2013-05-22 14:03:27 +0000
@@ -67,6 +67,23 @@
echo "CLUSTER_UUID=\"$uuid\"" >>/etc/maas/maas_cluster.conf
}
+configure_cluster_http(){
+ # handle apache configs
+ if [ -e /etc/maas/maas-cluster-http.conf -a \
+ ! -e /etc/apache2/conf.d/maas-cluster-http.conf ]; then
+ ln -sf /etc/maas/maas-cluster-http.conf /etc/apache2/conf.d/maas-cluster-http.conf
+ fi
+}
+
+restart_apache2(){
+ if [ -x /usr/sbin/invoke-rc.d ]; then
+ invoke-rc.d apache2 restart || true
+ else
+ /etc/init.d/apache2 restart || true
+ fi
+}
+
+
if [ "$1" = "configure" ] && [ -z "$2" ]; then
# logging
@@ -103,6 +120,10 @@
/etc/maas/maas_cluster.conf
configure_cluster_uuid
+ configure_cluster_http
+ restart_apache2
fi
+db_stop
+
#DEBHELPER#
=== modified file 'debian/maas-cluster-controller.postrm'
--- debian/maas-cluster-controller.postrm 2013-03-20 16:44:30 +0000
+++ debian/maas-cluster-controller.postrm 2013-05-22 14:03:27 +0000
@@ -6,8 +6,12 @@
case "$1" in
purge)
- # remove log directory
+ # remove log directory
rm -rf /var/log/maas
+ # remove apache2 config
+ if [ -h /etc/apache2/conf.d/maas-cluster-http.conf ]; then
+ rm -rf /etc/apache2/conf.d/maas-cluster-http.conf
+ fi
# remove var directory
rm -rf /var/lib/maas/celerybeat-cluster-schedule
DIR=/var/lib/maas
Follow ups